%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(0)")}
%{!?_initddir: %global _initddir %{_initrddir}}

Name:		nordugrid-arc-gangliarc
Version:	1.0.0
Release:	2%{?dist}
Summary:	Ganglia monitoring for ARC services
Group:		System Environment/Daemons
License:	ASL 2.0
URL:		http://wiki.nordugrid.org/index.php/Gangliarc
Source0:	http://download.nordugrid.org/packages/%{name}/releases/%{version}/src/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	python2-devel
BuildRequires:	python-setuptools

Requires:	nordugrid-arc-arex
Requires:	ganglia-gmond >= 3.0
Requires(post):		chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(postun):	initscripts

%description
gangliarc provides a way to monitor ARC services through an existing ganglia
installation. Running gangliarc adds various ARC metrics to ganglia which can
then be viewed along with regular ganglia metrics for the ARC host.

%prep
%setup -q

%build
%{__python} -c 'import setuptools; execfile("setup.py")' build

%install
rm -rf %{buildroot}

# /etc/init.d is hard-coded in setup.py so create a symlink to /etc/rc.d/init.d
# before installing
mkdir -p %{buildroot}%{_initddir}
ln -s %{buildroot}%{_initddir} %{buildroot}/etc/init.d

%{__python} -c 'import setuptools; execfile("setup.py")' install --root %{buildroot} --skip-build

# remove symlink
rm -f %{buildroot}/etc/init.d

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add gangliarc

%preun
if [ $1 -eq 0 ]; then
  /sbin/service gangliarc stop > /dev/null 2>&1
  /sbin/chkconfig --del gangliarc
fi

%postun
if [ $1 -ge 1 ]; then
  /sbin/service gangliarc condrestart > /dev/null 2>&1
fi

%files
%{python_sitelib}/gangliarc.*
%{python_sitelib}/nordugrid_arc_gangliarc-%{version}-py?.?.egg-info
%{_initddir}/gangliarc
%doc README
%{!?_licensedir: %doc LICENSE NOTICE}
%{?_licensedir: %license LICENSE NOTICE}

%changelog
* Fri Oct 23 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.0.0-2
- Specfile clean-up before Fedora review submission

* Sun Dec 01 2013 Anders Waananen <waananen@nbi.dk> - 1.0.0-1
- 1.0.0 Final release

* Wed Jul 18 2012 David Cameron <d.g.cameron@fys.uio.no> 0.1.0-1
- Initial version
